clear
%Naten dat ze souboru
load 'hodnoty.txt'
U=hodnoty(:,2);
Y=hodnoty(:,3);
U0=1; Y0=0.83; t=0:0.1:(length(U)-1)*0.1;
%Voln funkce hledej
X=fminsearch('hledej',[1 1 1],[],t,U-U0,Y-Y0);
Z=X(1); T1=X(2); T2=X(3);
M=tf(Z,[T1*T2 T1+T2 1]);
Ym=lsim(M,U-U0,t,'zoh')+Y0;
K=(Y-Ym)'*(Y-Ym);

%Vykreslen dat
subplot(2,1,1)
stairs(t,U,'k')
grid on
xlabel('t, s')
ylabel('u, V')
ylim([0 2.5])
xlim([5 45])
legend('Vstupn signl')
hold
subplot(2,1,2)
plot(t,Y,t,Ym)
grid on
xlabel('t, s')
ylabel('y, V')
xlim([5 45])
ylim([0 3.5])
legend('Reln soustava', 'Model soustavy')